From 2b2a27c5a40b915b0ee38c4c9a0ca4f4982c3f0f Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Sun, 25 Oct 2020 17:38:29 -0500
Subject: [PATCH v2 3/6] others

---
 contrib/amcheck/verify_heapam.c  | 2 +-
 contrib/pgcrypto/pgp-compress.c  | 2 +-
 doc/src/sgml/auto-explain.sgml   | 2 +-
 doc/src/sgml/ddl.sgml            | 2 +-
 src/backend/commands/tablecmds.c | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/contrib/amcheck/verify_heapam.c b/contrib/amcheck/verify_heapam.c
index dbe3134b6b..570f44b59e 100644
--- a/contrib/amcheck/verify_heapam.c
+++ b/contrib/amcheck/verify_heapam.c
@@ -560,7 +560,7 @@ verify_heapam_tupdesc(void)
  * Since we do not hold a snapshot, tuple visibility is not a question of
  * whether we should be able to see the tuple relative to any particular
  * snapshot, but rather a question of whether it is safe and reasonable to
- * to check the tuple attributes.
+ * check the tuple attributes.
  *
  * Some kinds of corruption make it unsafe to check the tuple attributes, for
  * example when the line pointer refers to a range of bytes outside the page.
diff --git a/contrib/pgcrypto/pgp-compress.c b/contrib/pgcrypto/pgp-compress.c
index 7e8ddba187..086bec31ae 100644
--- a/contrib/pgcrypto/pgp-compress.c
+++ b/contrib/pgcrypto/pgp-compress.c
@@ -291,7 +291,7 @@ restart:
 		 * A stream must be terminated by a normal packet.  If the last stream
 		 * packet in the source stream is a full packet, a normal empty packet
 		 * must follow.  Since the underlying packet reader doesn't know that
-		 * the compressed stream has been ended, we need to to consume the
+		 * the compressed stream has been ended, we need to consume the
 		 * terminating packet here.  This read does not harm even if the
 		 * stream has already ended.
 		 */
diff --git a/doc/src/sgml/auto-explain.sgml b/doc/src/sgml/auto-explain.sgml
index 192d6574c3..30e35a714a 100644
--- a/doc/src/sgml/auto-explain.sgml
+++ b/doc/src/sgml/auto-explain.sgml
@@ -200,7 +200,7 @@ LOAD 'auto_explain';
     <listitem>
      <para>
       <varname>auto_explain.log_settings</varname> controls whether information
-      about modified configuration options is printed when execution plan is logged.
+      about modified configuration options is printed when an execution plan is logged.
       Only options affecting query planning with value different from the built-in
       default value are included in the output.  This parameter is off by default.
       Only superusers can change this setting.
diff --git a/doc/src/sgml/ddl.sgml b/doc/src/sgml/ddl.sgml
index c4897d68c9..872f7a7fac 100644
--- a/doc/src/sgml/ddl.sgml
+++ b/doc/src/sgml/ddl.sgml
@@ -3919,7 +3919,7 @@ CREATE INDEX ON measurement (logdate);
 
     <para>
       Normally the set of partitions established when initially defining the
-      table are not intended to remain static.  It is common to want to
+      table is not intended to remain static.  It is common to want to
       remove old partitions of data and periodically add new partitions for
       new data. One of the most important advantages of partitioning is
       precisely that it allows this otherwise painful task to be executed
diff --git a/src/backend/commands/tablecmds.c b/src/backend/commands/tablecmds.c
index a29c14bf1c..df13b72974 100644
--- a/src/backend/commands/tablecmds.c
+++ b/src/backend/commands/tablecmds.c
@@ -1790,7 +1790,7 @@ ExecuteTruncateGuts(List *explicit_rels, List *relids, List *relids_logged,
 	 *
 	 * We put the ResultRelInfos in the es_opened_result_relations list, even
 	 * though we don't have a range table and don't populate the
-	 * es_result_relations array.  That's a big bogus, but it's enough to make
+	 * es_result_relations array.  That's a bit bogus, but it's enough to make
 	 * ExecGetTriggerResultRel() find them.
 	 */
 	estate = CreateExecutorState();
-- 
2.17.0

